<?php
// +----------------------------------------------------------------------
// | 管理员登录日志查询
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\admin\controller\Auth;

use app\common\controller\_Admin;
use app\admin\model\AuthAdminLogin as LoginLog;
use app\admin\model\AuthAdmin as Admin;

class admin_login_log extends _Admin
{
   
    // 默认留空即可
    protected function initialize()
    {
        parent::initialize();
    }

    // 统一返回方法
    // $param 必留，用于接收get、post的参数传递
    public function run($param=[], $_this) {
        if (\think\facade\Request::isAjax()) {
            return $this->showlist($param);
        }
        $this->assign('admin_name', Admin::where('id', $param['id'])->value('nick'));
        $this->assign('id', $param['id']);
        return $this->fetch('auth/admin/login_log');
    }

    // 列表
    private function showlist($param=[]) {
        $list = LoginLog::where('admin', $param['id'])->order('id DESC')->page($param['page'])->limit($param['limit'])->select();
        $count = LoginLog::where('admin', $param['id'])->count();
        return self::_list('0', '', $count, $list);
    }

}
