<?php
// +----------------------------------------------------------------------
// | 根据IP获取省市区
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace org;

class Ipcity {
   
    /**
     * 检测域名是否被微信屏蔽
     * @todo 无
     * @author 小黄牛
     * @version v1.2.1 + 2019.04.02
     * @deprecated 暂不弃用
     * @global 无
     * @return string $ip IP地址
     * @return bool|array
    */
    public static function run($ip) {
        if ($ip == '127.0.0.1' || $ip == '0.0.0.0') {
            return [
                'province'=>'本地',
                'city'=>'本地',
                'area'=>'本地',
                'flow'=>'本地'
            ];
        }
        $url  = 'https://ip.911cha.com/'.$ip.'.html';
        $res  = self::https_request($url);
        
        if (!$res) return false;
        $array = explode('→ ', $res);
        $content = end($array);
        $array = explode('</p>', $content);
        $array = explode('省', $array[0]);
        $return['province'] = $array[0];
        $array = explode('市', $array[1]);
        $return['city'] = $array[0];
        $array = explode('区', $array[1]);
        $return['area'] = $array[0];
        $return['flow'] = '';
        return $return;
    }

    # 
    /**
     * 发起特殊的CURL请求
     * @todo 无
     * @author 小黄牛
     * @version v1.1.6 + 2019.03.28
     * @deprecated 暂不弃用
     * @global 无
     * @param string $url 请求地址
     * @return void
    */
    private static function https_request($url){
        $curl = curl_init();  
        curl_setopt($curl, CURLOPT_URL, $url);
        curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, FALSE);
        curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, FALSE);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);  
        
        $response = curl_exec($curl);
        $httpCode = curl_getinfo($curl,CURLINFO_HTTP_CODE);
        curl_close($curl);
        if ($httpCode != 200) return false;
        return $response;
    }
}