<?php
// +----------------------------------------------------------------------
// | 微信消息模板相关
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace wx\sdk;

use wx\Weixins;
use think\facade\Request;

class industry extends Weixins{
    
    /**
     * 发送
     * @todo 无
     * @author 小黄牛
     * @version v1.0.8 + 2020.04.10
     * @deprecated 暂不弃用
     * @global 无
     * @param string $open_id 用户的微信ID
     * @param string $mid get_template()返回的模板ID
     * @param string $url 模板消息中，需要点击跳转到的详情地址
     * @param json  $data 模板消息内容，具体格式参考微信开发文档
     * @return array|bool
    */
    public static function send_msg($open_id, $mid, $url, $data){
        $actoken = \wx\sdk\access_token::get();

        $jsonmod = ' {
            "touser":"'.$open_id.'",
            "template_id":"'.$mid.'",
            "url":"'.$url.'",
            "data":'.$data.'
        }';
        
        $url   = self::str_url(self::$config['industry_send'], [$actoken]);
        $json  = self::https_curl($url, $jsonmod);
        $res   = json_decode($json, true);

        if ($res['errcode'] != 0) {
            \log\Log::init()->insert('请求错误：'.$json, 'error');
            return false;
        } else {
            \log\Log::init()->insert('请求成功：'.$json);
        }

        return $res;
    }
}