<?php 
return [
    // 请求头
    'header' => [
        'method' => 'POST', // 请求类型
        'code' => 'utf-8', // 内容编码
        'content-type' => 'application/x-www-form-urlencoded', // 数据类型
        // 其余自定义header
    ],
    // 请求参数
    'param' => [
        // 参考格式
        'phone' => '15992431677', // 手机号 string(32) 默认null 不为空
        'password' => '123456', // 密码 string(32) 默认null 不为空
    ],
    // 返回值
    'return' => [
        // 状态码囊括
        'code' => [
            '200' => '请求正常', 
            '301' => '错误提示', 
            '500' => '服务器错误',
        ],
        // data部分返回值说明
        'data' => [
        ]
    ]
];

