<?php
// +----------------------------------------------------------------------
// | 删除Think缓存
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\admin\controller\Index;

use app\common\controller\_Admin;

class runtime_delete extends _Admin
{
   
    // 默认留空即可
    protected function initialize() {
        parent::initialize();
    }

    // 统一返回方法
    // $param 必留，用于接收get、post的参数传递
    public function run($param=[], $_this) {
        $res = $this->removeDir(ROOT_PATH.'/runtime');
        if ($res) return $this->_json('00', '清除成功');
        return $this->_json('01', '清除失败');
    }

    /**
     * removeDir 删除文件夹下所有文件
     * @param $path
     */
    private function removeDir($path){
        //判断是否是文件夹
        if(is_dir($path)){
            //判断是否打开成功
            if($handle = opendir($path)){
                //读取文件
                while($file = readdir($handle)){
                    //判断是否是文件夹
                    if(is_dir($path.'/'.$file.'/') && $file!='.' && $file!='..'){
                        $this->removeDir($path.'/'.$file.'/');
                        //删除文件夹
                        @rmdir($path.'/'.$file);
                    } else {
                        if($file!='.' && $file!='..'){
                            //删除文件
                            @unlink($path.'/'.$file);
                        }
                    }
                    
                }
                //关闭文件夹
                closedir($handle);
            }
        }
        return true;
    }
}
