<?php
// +----------------------------------------------------------------------
// | 处理退出
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\admin\controller\Login;

use app\common\controller\_Admin;
use think\facade\Session;
use think\facade\Cookie;

class out extends _Admin
{

    // 默认留空即可
    protected function initialize()
    {
        parent::initialize();
    }

    // 统一返回方法
    // $param 必留，用于接收get、post的参数传递
    public function run($param=[], $_this) {
        // 清除七天登录状态
        \think\Db::name('auth_admin')->where('id', $this->admin['id'])->update([
            'auto_time' => '',
            'auto_rand' => '',
            'auto_ip'   => '',
        ]);
        Session::delete('admin');
        Cookie::delete('login_auto');
        $this->redirect('login/index');
    }

}
