<?php
# 模拟数据库任务，结构体:
/*
* * * * * * 要执行的命令
- - - - - - 
| | | | | |
| | | | | ----- 星期几 (0 - 7) (星期天=0 或者 7)
| | | | ------ 月份 (1 - 12)
| | | ------- 天数 (1 - 31)
| | -------- 小时 (0 - 23)
| --------- 分钟 (0 - 59)
----------- 秒   (0 - 59)
*/

ini_set("display_errors", "On");//打开错误提示
ini_set("error_reporting",E_ALL);//显示所有错误

$config = require_once dirname(dirname(__FILE__)).'/config/database.php';
// 打开数据库
try {
    $dsn      = $config['type'].':dbname='.$config['database'].';host='.$config['hostname'].';port='.$config['hostport'];
    $DB = new PDO($dsn, $config['username'], $config['password']);
} catch(PDOException $e) {
    die ('连接失败，错误信息：'.$e->getMessage());
}
$DB->query('SET NAMES '.$config['charset'].';');
# 查询所有开启的任务
$res  = $DB->query('SELECT * FROM '.$config['prefix'].'crontab where status = 1;');
$list = $res->fetchAll(PDO::FETCH_ASSOC);

return $list;